function y=binomial(n, k)
%Berechnet den Binomialkoeffizienten.
if nargin ~=2
    error('Es müssen genau 2 Argumente übergeben werden.');
end
if ~(isscalar(n) && isscalar(k))
    error('Eines der Argumente ist kein Skalar.');
end
if floor(k)~=k
    error('Das zweite Argument muss eine natürliche Zahl sein.');
end
p=1;
for i=n-k+1:n
    p=p*i;
end
y=p/fakultaet(k);