daten = wavread('gdur.wav');
[m1 m2 z2 z3 z4] = momente(daten);
plot(daten);
hold on;
plot(m1*ones(numel(daten),1), 'r');
plot(z2*ones(numel(daten),1), 'k');
plot(sqrt(z2)*ones(numel(daten),1), 'g');
xlabel('Zeit nach dem Urknall');
ylabel('Lärmfaktor / Zahl');
legend('Daten', 'Mittelwert', 'Varianz', 'Standardabweichung');
hold off;
