format long;
x  = [ 0, 1, 2, 4];
y  = [-4, 0, 2, 5];
xs = -1:0.01:5;
ys = xs;
y2 = 1:4;
c  = ['b' 'g' 'r'];
e2 = 1:3;
plot(x,y,'ks');
hold on;
for n = 1:3;
    p = polyfit(x, y, n);
    for i = 1:numel(xs);
        ys(i) = polyval(p, xs(i));
    end
    plot(xs, ys, c(n));
    for i = 1:4
        y2(i) = polyval(p, x(i)) - y(i);
    end
    e2(n) = var(y2);
end
legend('Sollwerte', 'Polynom 1. Grades', 'Polynom 2. Grades', 'Polynom 3. Grades', 'Location', 'SouthEast');
xlabel('x-Werte');
ylabel('Sollwerte bzw. Naeherung');
hold off;
sprintf('e2 bei Polynomen vom Grad 1 = %g\ne2 bei Polynomen vom Grad 2 = %g\ne2 bei Polynomen vom Grad 3 = %g', e2(1), e2(2), e2(3))