xwerte    = [-3, -2, 0, 1, 2,  3];
ywerte    = [ 8,  7, 0, 2, 7, 11];

basis1    = '1';
basis2    = 'cos(x)';
basis3    = 'cos(2*x)';

xs        = (min(xwerte)-1):.01:(max(xwerte)+1);
n         = numel(xwerte);
N         = numel(xs);
ys        = zeros(1, N);
y2        = zeros(1, n);
c         = sigapp(xwerte, ywerte, basis1, basis2, basis3);
funktion  = sprintf('c(1)*(%s) + c(2)*(%s) + c(3)*(%s)', basis1, basis2, basis3);

for i = 1:N;
    x     = xs(i);
    ys(i) = eval(funktion);
end
for i = 1:n;
    x     = xwerte(i);
    y2(i) = eval(funktion) - ywerte(i);
end

plot(xwerte,ywerte,'ks');
hold on;
plot(xs, ys, 'b');
hold off;
legend('Sollwerte', 'Approximation', 'Location', 'SouthEast');
xlabel('x-Werte');
ylabel('Sollwerte bzw. Approximation');

sprintf('Fehler = %g\n', var(y2))