xwerte    = 0:5;
ywerte    = [0.97, 3, 2, 2.5, 4, 3.1];

basis1    = '1';
basis2    = 'cos(x)';
basis3    = 'sin(x*8)';

xs        = (min(xwerte)-1):.01:(max(xwerte)+1);
n         = numel(xwerte);
N         = numel(xs);
ys        = zeros(1, N);
y2        = zeros(1, n);
c         = sigapp(xwerte, ywerte, basis1, basis2, basis3);
funktion  = sprintf('c(1)*(%s) + c(2)*(%s) + c(3)*(%s)', basis1, basis2, basis3);

for i = 1:N;
    x     = xs(i);
    ys(i) = eval(funktion);
end
for i = 1:n;
    x     = xwerte(i);
    y2(i) = eval(funktion) - ywerte(i);
end

plot(xwerte,ywerte,'ks');
hold on;
plot(xs, ys, 'b');
hold off;
legend('Sollwerte', 'Approximation', 'Location', 'SouthEast');
xlabel('x-Werte');
ylabel('Sollwerte bzw. Approximation');

sprintf('Basisfunktionen:\nf_1(x)=%s\nf_2(x)=%s\nf_3(x)=%s\n\nFehler = %g\n', basis1, basis2, basis3, var(y2))