function e2 = quaderror(f, fap)
if (~isvector(f))
    error('Soll-Werte sind kein Vektor.');
end
if (~isvector(fap))
    error('Approximationswerte sind kein Vektor.');
end
if (numel(f) ~= numel(fap))
    error('Anzahl der Funktions- und Approximationswerte stimmen nicht ueberein.');
end
summe = 0;
for i = 1:numel(f)
    summe = summe + (f(i)-fap(i))*(f(i)-fap(i));
end
if (numel(f) == 0)
    e2 = 0;
else
    e2 = summe / numel(f);
end
end