N       = [32 64 128 196];
C       = ['b' 'g' 'r' 'c'];
R       = rechteckimpuls(1, 32, 256);
F       = dct(R);
F_abs   = abs(F);
F_angle = angle(F);

for i = 1:4
    F((N(5 - i) + 1):256) = zeros(1, 256 - N(5 - i));
    I = idct(F);
    plot(I, C(i));
    hold on;
end

plot(R, 'k');
hold off;

legend('196 verwendet', '128 verwendet', '64 verwendet', '32 verwendet', 'Original');
%axis([0 100 -0.2 1.2]);