SHIFT  = wavread('shift.wav');
N      = size(SHIFT, 1);
S1     = SHIFT(1:N, 1);
S2     = SHIFT(1:N, 2);
CORR   = xcorr(S1, S2);
[c, d] = max(CORR);
d      = d - N;
d_abs  = abs(d);
t      = d_abs / 22050;
fprintf('Zeitdifferenz = %fs\n', t);
Z      = zeros(d_abs, 2);
n      = N - d_abs;
if d < 0
    Z(1 : n, 1) = S1(1 : n);
    Z(1 : n, 2) = S2((d_abs + 1) : (n + d_abs));
else
    Z(1 : n, 1) = S1((d_abs + 1) : (n + d_abs));
    Z(1 : n, 2) = S2(1 : n);
end