n  = 0:1023;
fn = [ones(1, 512) zeros(1, 512)];
ks = [10, 25, 50];
cs = ['r', 'g', 'b'];

for i = 1:3
    [as bs] = fourieranalyse(n, fn, ks(i));
    fs      = fouriersynthese(n, as, bs);
    plot(n, fs, cs(i));
    hold on;
end;

plot(n, fn, 'k');
legend('K = 10', 'K = 25', 'K = 50', 'Ausgangssignal');
hold off;