x      = 0 : 9;
y      = [2 2 1 3 4 2 4 7 6 9];
[T, V] = eig(cov(x, y));
Txy    = T * [x;y];
xmin   = min(Txy(1, 1:10));
xmax   = max(Txy(1, 1:10));
ymin   = min(Txy(2, 1:10));
ymax   = max(Txy(2, 1:10));
R      = inv(T) * [xmin xmin xmax xmax xmin; ymin ymax ymax ymin ymin];

hold off;
plot(x, y, 'x');
hold on;
plot(R(1, 1:5), R(2, 1:5), 'r');
hold off;
axis([0 12 -2 10]);

dx = 1 : 4;
dy = dx;
for i = 1 : 4
    dx(i) = R(1, i + 1) - R(1, i);
    dy(i) = R(2, i + 1) - R(2, i);
end
for i = 2 : 4
    disp(sprintf('Das Skalarprodukt in der Ecke %i ist %f.', i - 1, dx(i - 1) * dx(i) + dy(i - 1) * dy(i)));
end

disp('Das Skalarprodukt in der 4. Ecke koennen wir uns sowieso sparen.');